### php.java.faces

# Class PhpFacesApplicationFactory

- `java.lang.Object`

- `javax.faces.application.ApplicationFactory`

- `php.java.faces.PhpFacesApplicationFactory`

`public class PhpFacesApplicationFactory`
`extends javax.faces.application.ApplicationFactory`

Create a PhpFacesApplication.

Author:
  jostb

## Constructor Summary

`PhpFacesApplicationFactory(javax.faces.application.ApplicationFactory factory)`

## Method Summary

`javax.faces.application.Application`

`getApplication()`

`void`

`setApplication(javax.faces.application.Application application)`

### Methods inherited from class javax.faces.application.ApplicationFactory

`getApplication`, `setApplication`

### Methods inherited from class java.lang.Object

`equals`, `getClass`, `hashCode`, `notify`, `notifyAll`, `toString`, `wait`, `wait`, `wait`

## Constructor Details

### PhpFacesApplicationFactory

    public PhpFacesApplicationFactory(javax.faces.application.ApplicationFactory factory)

## Method Details

### getApplication

    public javax.faces.application.Application getApplication()

> Overrides:
>   getApplication in interface javax.faces.application.ApplicationFactory

### setApplication

    public void setApplication(javax.faces.application.Application application)

> Overrides:
>   setApplication in interface javax.faces.application.ApplicationFactory